OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableElement

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableElement

Direct Known Subclasses:
  PollableContainer, PollableService

public abstract class PollableElement
extends java.lang.Object

Represents a PollableElement

Author:
  brozow

Field Summary
`private PollEvent` `m_cause`
`private boolean` `m_deleted`
`private PollableContainer` `m_parent`
`private PollStatus` `m_status`
`private boolean` `m_statusChanged`

Constructor Summary
`protected` `PollableElement(PollableContainer parent)`

Method Summary
`abstract Event` `createDownEvent(java.util.Date date)`
`protected void` `createOutage(PollEvent cause)`
`abstract Event` `createUpEvent(java.util.Date date)`
`void` `delete()`
`PollStatus` `doPoll(PollableElement elem)`
`PollEvent` `getCause()`
`abstract PollContext` `getContext()`
`PollableElement` `getLockRoot()`
`protected PollableContainer` `getParent()`
`PollStatus` `getStatus()`
`boolean` `hasOpenOutage()`
`boolean` `isDeleted()`
`boolean` `isStatusChanged()`
`boolean` `isTreeLockAvailable()`
`void` `obtainTreeLock(long timeout)`
`abstract PollStatus` `poll()`
`protected PollStatus` `poll(PollableElement elem)`
`protected void` `processCause(PollEvent cause)`
`protected void` `processComingUp(java.util.Date date)`
`protected void` `processGoingDown(java.util.Date date)`
`protected void` `processLingeringCauses(PollEvent resolvedCause, PollEvent resolution)`
`protected void` `processResolution(PollEvent cause, PollEvent resolution)`
`void` `processStatusChange(java.util.Date date)`
`void` `recalculateStatus()`
`void` `releaseTreeLock()`
`void` `resetStatusChanged()`
`protected void` `resolveAllOutages(PollEvent resolvedCause, PollEvent resolution)`
`protected void` `resolveOutage(PollEvent resolution)`
`PollableElement` `selectPollElement()`
`void` `setCause(PollEvent cause)`
`protected void` `setParent(PollableContainer newParent)`
`private void` `setStatus(PollStatus status)`
`private void` `setStatusChanged(boolean statusChanged)`
`void` `updateStatus(PollStatus newStatus)`
`void` `visit(PollableVisitor v)`
`protected void` `visitThis(PollableVisitor v)`
`void` `withTreeLock(java.lang.Runnable r)`
`void` `withTreeLock(java.lang.Runnable r, long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_parent

    private PollableContainer m_parent

### m_status

    private PollStatus m_status

### m_statusChanged

    private boolean m_statusChanged

### m_cause

    private PollEvent m_cause

### m_deleted

    private boolean m_deleted

Constructor Detail

### PollableElement

    protected PollableElement(PollableContainer parent)

Method Detail

### getParent

    protected PollableContainer getParent()

### setParent

    protected void setParent(PollableContainer newParent)

### visit

    public void visit(PollableVisitor v)

### visitThis

    protected void visitThis(PollableVisitor v)

### getStatus

    public PollStatus getStatus()

### setStatus

    private void setStatus(PollStatus status)

### isStatusChanged

    public boolean isStatusChanged()

### setStatusChanged

    private void setStatusChanged(boolean statusChanged)

### updateStatus

    public void updateStatus(PollStatus newStatus)

### resetStatusChanged

    public void resetStatusChanged()

### recalculateStatus

    public void recalculateStatus()

### getContext

    public abstract PollContext getContext()

### doPoll

    public PollStatus doPoll(PollableElement elem)

  Returns:

### getLockRoot

    public PollableElement getLockRoot()

### isTreeLockAvailable

    public boolean isTreeLockAvailable()

### obtainTreeLock

    public void obtainTreeLock(long timeout)

### releaseTreeLock

    public void releaseTreeLock()

### withTreeLock

    public void withTreeLock(java.lang.Runnable r)

### withTreeLock

    public void withTreeLock(java.lang.Runnable r,
                             long timeout)

### poll

    public abstract PollStatus poll()

### poll

    protected PollStatus poll(PollableElement elem)

### selectPollElement

    public PollableElement selectPollElement()

  Returns:

### createDownEvent

    public abstract Event createDownEvent(java.util.Date date)

  Parameters:
    `date` -
  Returns:

### createUpEvent

    public abstract Event createUpEvent(java.util.Date date)

  Parameters:
    `date` -
  Returns:

### createOutage

    protected void createOutage(PollEvent cause)

  Parameters:
    `cause` - TODO

### resolveOutage

    protected void resolveOutage(PollEvent resolution)

  Parameters:
    `resolution` - TODO

### hasOpenOutage

    public boolean hasOpenOutage()

### setCause

    public void setCause(PollEvent cause)

### getCause

    public PollEvent getCause()

### processStatusChange

    public void processStatusChange(java.util.Date date)

  Parameters:
    `date` -

### processComingUp

    protected void processComingUp(java.util.Date date)

### processResolution

    protected void processResolution(PollEvent cause,
                                     PollEvent resolution)

### processGoingDown

    protected void processGoingDown(java.util.Date date)

### processCause

    protected void processCause(PollEvent cause)

### resolveAllOutages

    protected void resolveAllOutages(PollEvent resolvedCause,
                                     PollEvent resolution)

### isDeleted

    public boolean isDeleted()

### delete

    public void delete()

### processLingeringCauses

    protected void processLingeringCauses(PollEvent resolvedCause,
                                          PollEvent resolution)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.